LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08812Bug reports[All Projects] Survey designpublic2014-03-05 13:562014-03-17 13:14
Reportermrramgopal 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.05+ 
Target VersionFixed in Version2.05+ 
Summary08812: Email Template Add file button does not work
DescriptionLimeSurvey
Version 2.05+ Build 140302

When editing an email template ( invitation ) for any survey , there is a button at the bottom to add file. When you add file , the filename is displayed in the bottom row, but size does not get populated. When you save, the there is no effect. The file does not appear in the list of attached files when go the screen again. When you send out the invitation afterwards , there is no attachment in the file.
Steps To ReproduceEdit email template of invitation
Add files. Upload any small file for attachment.

Save.

No files seen in attachment.
Email invitation using token management.
No file seen in attachment.
Additional InformationCommon problem across all email templates

Hosting by GoDaddy
I will donate to the project if issue is resolved within 48 hrsYes
LimeSurvey build number OR git commit ID140302
BrowserIE 9 / FF 27.0.1 / Chrome 33.0
Database & DB-VersionMySql
Operating System (Server)Linux
Webserver software & versionApache
PHP Version5.3
Attached Filespng file icon ErrorPage.png [^] (50,418 bytes) 2014-03-05 13:56

- Relationships

-  Notes
User avatar (29108)
c_schmitz (administrator)
2014-03-05 23:24

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13976 [^]
User avatar (29132)
mrramgopal (reporter)
2014-03-06 19:49

Filenames which have a space do not get added.
eg - "my file.pdf" will not get added , but if you rename it to "myfile.pdf" it will attach.
User avatar (29275)
c_schmitz (administrator)
2014-03-17 13:14

2.05+ Build 140317 released

- Related Changesets
LimeSurvey: master 297b3ea2
Timestamp: 2014-03-05 22:24:10
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08812: Email attachments configuration is not saved
mod - application/controllers/admin/emailtemplates.php Diff ] File ]
mod - application/views/admin/emailtemplates/emailtemplates_view.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-05 13:56 mrramgopal New Issue
2014-03-05 13:56 mrramgopal File Added: ErrorPage.png
2014-03-05 23:20 c_schmitz Assigned To => c_schmitz
2014-03-05 23:20 c_schmitz Status new => assigned
2014-03-05 23:24 c_schmitz Changeset attached => LimeSurvey master 297b3ea2
2014-03-05 23:24 c_schmitz Note Added: 29108
2014-03-05 23:24 c_schmitz Resolution open => fixed
2014-03-05 23:24 c_schmitz Status assigned => resolved
2014-03-05 23:24 c_schmitz Fixed in Version => 2.05+
2014-03-06 19:49 mrramgopal Note Added: 29132
2014-03-17 13:14 c_schmitz Note Added: 29275
2014-03-17 13:14 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker